> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mavapay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get payment link details

> Retrieve details about a payment link for rendering a custom UI or checking payment status.



## OpenAPI

````yaml get /paymentlink/details
openapi: 3.0.1
info:
  title: Mavapay API
  description: API documentation for Mavapay
  license:
    name: MIT
  version: 1.0.0
  contact:
    name: Mavapay
    url: https://mavapay.co
    email: info@mavapay.co
servers:
  - url: https://staging.api.mavapay.co/api/v1
    description: Staging server
  - url: https://api.mavapay.co/api/v1
    description: Live server
security:
  - ApiKeyAuth: []
    bearerAuth: []
tags:
  - name: Price
    description: Price related endpoints
  - name: Payment Link
    description: Payment Link endpoints for creating and managing hosted payment pages
paths:
  /paymentlink/details:
    get:
      tags:
        - Payment Link
      summary: Get payment link details
      description: >-
        Retrieve details about a payment link for rendering a custom UI or
        checking payment status.
      operationId: getPaymentLinkDetails
      parameters:
        - name: id
          in: query
          description: The payment link ID (paymentRef) to get details for
          schema:
            type: string
            format: uuid
          required: true
          example: 9f8bf7da-f1d8-4c78-8f93-28eebe17c35e
      responses:
        '200':
          description: Payment link details
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: ok
                  message:
                    type: string
                    example: payment link details
                  data:
                    $ref: '#/components/schemas/PaymentLinkDetails'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Payment link not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - ApiKeyAuth: []
        - bearerAuth: []
components:
  schemas:
    PaymentLinkDetails:
      type: object
      properties:
        paymentLinkDetails:
          type: object
          properties:
            id:
              type: string
              format: uuid
              description: Payment link ID
              example: 9f8bf7da-f1d8-4c78-8f93-28eebe17c35e
            name:
              type: string
              description: Name of the payment link
              example: Bitcoin Purchase
            description:
              type: string
              description: Description of the payment
              example: On-chain Bitcoin payment
            callbackUrl:
              type: string
              format: uri
              description: Redirect URL where users are sent after payment completion
              example: https://your-app.com/payment-success
            settlementCurrency:
              type: string
              description: Settlement currency
              example: BTC
            paymentLinkOrderId:
              type: string
              format: uuid
              description: Associated order ID
              example: 99366bb2-788f-4556-86db-d5063232a50a
            paymentMethods:
              type: array
              items:
                type: string
              example:
                - BANKTRANSFER
            account:
              type: object
              properties:
                name:
                  type: string
                  description: Business name
                  example: Your Business Name
                logo:
                  type: string
                  description: Business logo URL
                  example: ''
            BANKTRANSFER:
              type: object
              description: Bank transfer payment details
              properties:
                ngnAccountName:
                  type: string
                  description: Account name for bank transfer
                  example: Mava Digital Solutions Limited
                ngnBankName:
                  type: string
                  description: Bank name
                  example: GLOBUS BANK
                ngnBankAccountNumber:
                  type: string
                  description: Bank account number
                  example: '3242569160'
                amount:
                  type: number
                  description: Amount in lowest denomination
                  example: 800000
                expiresAt:
                  type: string
                  format: date-time
                  description: Expiration time for the payment
                  example: '2025-11-20T20:47:41.528Z'
                targetAmount:
                  type: number
                  description: >-
                    Target amount in the settlement currency (lowest
                    denomination)
                  example: 6034
    Error:
      required:
        - error
        - message
      type: object
      properties:
        status:
          type: string
          format: string
          example: error
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
    bearerAuth:
      type: http
      scheme: bearer

````